Index: /LMDZ.3.3/trunk/libf/dyn3d/addfi.F
===================================================================
--- /LMDZ.3.3/trunk/libf/dyn3d/addfi.F	(revision 35)
+++ /LMDZ.3.3/trunk/libf/dyn3d/addfi.F	(revision 36)
@@ -82,19 +82,17 @@
       ENDDO
 
-      IF( alphax.NE.0. )   THEN
-        DO  k    = 1, llm
-         DO  ij   = 1, iim
-          xpn(ij) = aire(   ij   ) * pteta(  ij    ,k)
-          xps(ij) = aire(ij+ip1jm) * pteta(ij+ip1jm,k)
-         ENDDO
-          tpn      = SSUM(iim,xpn,1)/ apoln
-          tps      = SSUM(iim,xps,1)/ apols
+      DO  k    = 1, llm
+       DO  ij   = 1, iim
+         xpn(ij) = aire(   ij   ) * pteta(  ij    ,k)
+         xps(ij) = aire(ij+ip1jm) * pteta(ij+ip1jm,k)
+       ENDDO
+       tpn      = SSUM(iim,xpn,1)/ apoln
+       tps      = SSUM(iim,xps,1)/ apols
 
-         DO ij   = 1, iip1
-          pteta(   ij   ,k)  = tpn
-          pteta(ij+ip1jm,k)  = tps
-         ENDDO
-        ENDDO
-      ENDIF
+       DO ij   = 1, iip1
+         pteta(   ij   ,k)  = tpn
+         pteta(ij+ip1jm,k)  = tps
+       ENDDO
+      ENDDO
 c
 
@@ -134,37 +132,33 @@
       ENDDO
 
-      IF( alphax.NE.0. )   THEN
 
-         DO  ij   = 1, iim
-          xpn(ij) = aire(   ij   ) * pps(  ij     )
-          xps(ij) = aire(ij+ip1jm) * pps(ij+ip1jm )
-         ENDDO
+      DO  ij   = 1, iim
+        xpn(ij) = aire(   ij   ) * pps(  ij     )
+        xps(ij) = aire(ij+ip1jm) * pps(ij+ip1jm )
+      ENDDO
+      tpn      = SSUM(iim,xpn,1)/apoln
+      tps      = SSUM(iim,xps,1)/apols
+
+      DO ij   = 1, iip1
+        pps (   ij     )  = tpn
+        pps ( ij+ip1jm )  = tps
+      ENDDO
+
+
+      DO iq = 1, nq
+        DO  k    = 1, llm
+          DO  ij   = 1, iim
+            xpn(ij) = aire(   ij   ) * pq(  ij    ,k,iq)
+            xps(ij) = aire(ij+ip1jm) * pq(ij+ip1jm,k,iq)
+          ENDDO
           tpn      = SSUM(iim,xpn,1)/apoln
           tps      = SSUM(iim,xps,1)/apols
 
-         DO ij   = 1, iip1
-          pps (   ij     )  = tpn
-          pps ( ij+ip1jm )  = tps
-         ENDDO
-
-
-       DO iq = 1, nq
-         DO  k    = 1, llm
-           DO  ij   = 1, iim
-            xpn(ij) = aire(   ij   ) * pq(  ij    ,k,iq)
-            xps(ij) = aire(ij+ip1jm) * pq(ij+ip1jm,k,iq)
-           ENDDO
-            tpn      = SSUM(iim,xpn,1)/apoln
-            tps      = SSUM(iim,xps,1)/apols
-
-           DO ij   = 1, iip1
+          DO ij   = 1, iip1
             pq (   ij   ,k,iq)  = tpn
             pq (ij+ip1jm,k,iq)  = tps
-           ENDDO
-         ENDDO
-       ENDDO
-
-      ENDIF
-
+          ENDDO
+        ENDDO
+      ENDDO
 
       RETURN
Index: /LMDZ.3.3/trunk/libf/dyn3d/integrd.F
===================================================================
--- /LMDZ.3.3/trunk/libf/dyn3d/integrd.F	(revision 35)
+++ /LMDZ.3.3/trunk/libf/dyn3d/integrd.F	(revision 36)
@@ -91,16 +91,14 @@
       ENDDO
 c
-      IF( alphax.NE.0. )   THEN
-        DO  ij    = 1, iim
-         tppn(ij) = aire(   ij   ) * ps(  ij    )
-         tpps(ij) = aire(ij+ip1jm) * ps(ij+ip1jm)
-        ENDDO
-         tpn      = SSUM(iim,tppn,1)/apoln
-         tps      = SSUM(iim,tpps,1)/apols
-        DO ij   = 1, iip1
-         ps(   ij   )  = tpn
-         ps(ij+ip1jm)  = tps
-        ENDDO
-      ENDIF
+      DO  ij    = 1, iim
+       tppn(ij) = aire(   ij   ) * ps(  ij    )
+       tpps(ij) = aire(ij+ip1jm) * ps(ij+ip1jm)
+      ENDDO
+       tpn      = SSUM(iim,tppn,1)/apoln
+       tps      = SSUM(iim,tpps,1)/apols
+      DO ij   = 1, iip1
+       ps(   ij   )  = tpn
+       ps(ij+ip1jm)  = tps
+      ENDDO
 c
 c  ... Calcul  de la nouvelle masse d'air au dernier temps integre t+1 ...
@@ -136,17 +134,15 @@
 c
 c
-      IF( alphax.NE.0. )   THEN
-        DO  ij   = 1, iim
+      DO  ij   = 1, iim
         tppn(ij) = aire(   ij   ) * teta(  ij    ,l)
         tpps(ij) = aire(ij+ip1jm) * teta(ij+ip1jm,l)
-        ENDDO
+      ENDDO
         tpn      = SSUM(iim,tppn,1)/apoln
         tps      = SSUM(iim,tpps,1)/apols
 
-        DO ij   = 1, iip1
+      DO ij   = 1, iip1
         teta(   ij   ,l)  = tpn
         teta(ij+ip1jm,l)  = tps
-        ENDDO
-      ENDIF
+      ENDDO
 c
 
@@ -197,25 +193,23 @@
 c    .....  Calcul de la valeur moyenne, unique  aux poles pour  q .....
 c
-      IF( alphax.NE.0. )   THEN
-
-        DO iq = 1, nq
-          DO l = 1, llm
-
-             DO ij = 1, iim
+
+      DO iq = 1, nq
+        DO l = 1, llm
+
+           DO ij = 1, iim
              qppn(ij) = aire(   ij   ) * q(   ij   ,l,iq)
              qpps(ij) = aire(ij+ip1jm) * q(ij+ip1jm,l,iq)
-             ENDDO
+           ENDDO
              qpn  =  SSUM(iim,qppn,1)/apoln
              qps  =  SSUM(iim,qpps,1)/apols
 
-             DO ij = 1, iip1
+           DO ij = 1, iip1
              q(   ij   ,l,iq)  = qpn
              q(ij+ip1jm,l,iq)  = qps
-             ENDDO
-
-          ENDDO
-        ENDDO
-
-      ENDIF
+           ENDDO
+
+        ENDDO
+      ENDDO
+
 
          CALL  SCOPY( ijp1llm , finvmasse, 1, finvmaold, 1 )