Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/clmain.F
===================================================================
--- LMDZ.3.3/branches/rel-LF/libf/phylmd/clmain.F	(revision 98)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/clmain.F	(revision 101)
@@ -2,5 +2,5 @@
      .                  ok_veget,ts,
      .                  paprs,pplay,radsol,snow,qsol,evap,albe,
-     .                  rain_f, snow_f, solsw, sollw,
+     .                  rain_f, snow_f, solsw, sollw, fder,
      .                  rlon, rlat, rugos,
      .                  debut, lafin,
@@ -99,4 +99,5 @@
       REAL albe(klon,nbsrf)
       real rain_f(klon), snow_f(klon)
+      REAL fder(klon)
       REAL sollw(klon), solsw(klon)
       REAL rugos(klon,nbsrf)
@@ -115,4 +116,5 @@
       real yrain_f(klon), ysnow_f(klon)
       real ysollw(klon), ysolsw(klon), ysolswnet(klon)
+      real yfder(klon), ytaux(klon), ytauy(klon)
       REAL yrugm(klon), yrads(klon)
       REAL y_d_ts(klon)
@@ -258,4 +260,7 @@
         yrain_f(j) = rain_f(i)
         ysnow_f(j) = snow_f(i)
+        yfder(j) = fder(i)
+        ytaux(j) = flux_u(i,nsrf)
+        ytauy(j) = flux_v(i,nsrf)
         ysolsw(j) = solsw(i)
         ysollw(j) = sollw(i)
@@ -302,4 +307,5 @@
      e          ycoefh,yt,yq,yts,ypaprs,ypplay,ydelp,yrads,
      e          yevap,yalb, ysnow, yqsol, yrain_f, ysnow_f,
+     e          yfder, ytaux, ytauy,
      e          ysollw, ysolsw,
      s          y_d_t, y_d_q, y_d_ts, 
@@ -423,5 +429,5 @@
      e                t,q,ts,paprs,pplay,
      e                delp,radsol,evap,albedo,snow,qsol, 
-     e                precip_rain, precip_snow,
+     e                precip_rain, precip_snow, fder, taux, tauy,
      e                lwdown, swdown,
      s                d_t, d_q, d_ts, flux_t, flux_q,dflux_s,dflux_l)
@@ -532,4 +538,5 @@
       logical debut, lafin, ok_veget
       real zlev1(klon)
+      real fder(klon), taux(klon), tauy(klon)
       real temp_air(klon), spechum(klon)
       real hum_air(klon), ccanopy(klon)
@@ -679,4 +686,5 @@
      . tq_cdrag, petAcoef, peqAcoef, petBcoef, peqBcoef,
      . precip_rain, precip_snow, lwdown, swnet, swdown,
+     . fder, taux, tauy,
      . albedo, snow, qsol,
      . ts, p1lay, coef1lay, psref, radsol,
Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/interface_surf.F90
===================================================================
--- LMDZ.3.3/branches/rel-LF/libf/phylmd/interface_surf.F90	(revision 98)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/interface_surf.F90	(revision 101)
@@ -50,4 +50,5 @@
       & tq_cdrag, petAcoef, peqAcoef, petBcoef, peqBcoef, &
       & precip_rain, precip_snow, lwdown, swnet, swdown, &
+      & fder, taux, tauy, &
       & albedo, snow, qsol, &
       & tsurf, p1lay, coef1lay, ps, radsol, &
@@ -71,4 +72,5 @@
 !   dtime        pas de temps de la physique (en s)
 !   jour         jour dans l'annee en cours
+!   nexca        pas de temps couplage
 !   nisurf       index de la surface a traiter (1 = sol continental)
 !   knon         nombre de points de la surface a traiter
@@ -105,4 +107,6 @@
 !   radsol       rayonnement net aus sol (LW + SW)
 !   ocean        type d'ocean utilise (force, slab, couple)
+!   fder         derivee des flux (pour le couplage)
+!   taux, tauy   tension de vents
 !
 ! output:
@@ -143,4 +147,5 @@
   real, dimension(knon), intent(IN) :: radsol
   real, dimension(klon), intent(IN) :: zmasq
+  real, dimension(klon), intent(IN) :: fder, taux, tauy
   character (len = 6)  :: ocean
   real, dimension(knon), intent(INOUT) :: evap, snow, qsol
@@ -162,4 +167,6 @@
   real, parameter      :: calice=1.0/(5.1444e+06*0.15), tau_gl=1./86400.*5.
   real, parameter      :: calsno=1./(2.3867e+06*.15)
+  integer              :: nexca !pas de temps couplage
+  real, dimension(knon):: alb_ice
 
 #include "YOMCST.inc"
@@ -253,6 +260,18 @@
 ! Surface "ocean" appel a l'interface avec l'ocean
 !
-!    if (ocean == 'couple') then
-!      call interfoce(nisurf, ocean)
+    if (ocean == 'couple') then
+      nexca = 0
+      if (nexca == 0) then
+        abort_message='nexca = 0 dans interfoce_cpl'
+        call abort_gcm(modname,abort_message,1)
+      endif
+
+      call interfoce(itime, dtime, &
+      & klon, iim, jjm, nisurf, pctsrf, knon, knindex, rlon, rlat, &
+      & ocean, nexca, debut, lafin, &
+      & swdown, lwdown, precip_rain, precip_snow, evap, tsurf, &
+      & fder, albedo, taux, tauy, &
+      & tsurf_new, alb_new, alb_ice, pctsrf_new)
+
 !    else if (ocean == 'slab  ') then
 !      call interfoce(nisurf)
@@ -262,5 +281,5 @@
 !     &  debut, &
 !     &  tsurf_new, alb_new, z0_new, pctsrf_new)
-!    endif
+    endif
 !
     cal = 0.
@@ -556,5 +575,5 @@
 
 ! Cette routine sert d'interface entre le modele atmospherique et un 
-! coupleur avec un modele d'ocean 'complet'
+! coupleur avec un modele d'ocean 'complet' derriere
 !
 ! L. Fairhead 02/2000
Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/oasis.F
===================================================================
--- LMDZ.3.3/branches/rel-LF/libf/phylmd/oasis.F	(revision 98)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/oasis.F	(revision 101)
@@ -865,2 +865,72 @@
 
 
+      SUBROUTINE sipc_init_model
+      print *, 'Attention dans oasis.F, sipc_init_model est non defini'
+      RETURN
+      END
+
+      SUBROUTINE svipc_write
+      print *, 'Attention dans oasis.F, svipc_write est non defini'
+      RETURN
+      END
+
+      SUBROUTINE clim_export
+      print *, 'Attention dans oasis.F, clim_export est non defini'
+      RETURN
+      END
+
+      SUBROUTINE clim_init
+      print *, 'Attention dans oasis.F, clim_init est non defini'
+      RETURN
+      END
+
+      SUBROUTINE sipc_write_model
+      print *, 'Attention dans oasis.F, sipc_write_model est non defini'
+      RETURN
+      END
+
+      SUBROUTINE clim_start
+      print *, 'Attention dans oasis.F, clim_start est non defini'
+      RETURN
+      END
+
+      SUBROUTINE clim_define
+      print *, 'Attention dans oasis.F, clim_define est non defini'
+      RETURN
+      END
+
+      SUBROUTINE sipc_attach
+      print *, 'Attention dans oasis.F, sipc_attach est non defini'
+      RETURN
+      END
+
+      SUBROUTINE clim_import
+      print *, 'Attention dans oasis.F, clim_import est non defini'
+      RETURN
+      END
+
+      SUBROUTINE svipc_read
+      print *, 'Attention dans oasis.F, svipc_read est non defini'
+      RETURN
+      END
+
+      SUBROUTINE clim_stepi
+      print *, 'Attention dans oasis.F, clim_stepi est non defini'
+      RETURN
+      END
+
+      SUBROUTINE sipc_read_model
+      print *, 'Attention dans oasis.F, sipc_read_model est non defini'
+      RETURN
+      END
+
+      SUBROUTINE svipc_close
+      print *, 'Attention dans oasis.F, svipc_close est non defini'
+      RETURN
+      END
+
+      SUBROUTINE clim_quit
+      print *, 'Attention dans oasis.F, clim_quit est non defini'
+      RETURN
+      END
+
Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/physiq.F
===================================================================
--- LMDZ.3.3/branches/rel-LF/libf/phylmd/physiq.F	(revision 98)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/physiq.F	(revision 101)
@@ -1556,5 +1556,5 @@
      e            ftsol,paprs,pplay,radsol,
      e            fsnow,fqsol,fevap,falbe,
-     e            rain_fall, snow_fall, solsw, sollw,
+     e            rain_fall, snow_fall, solsw, sollw, fder,
      e            rlon, rlat, frugs,
      e            debut, lafin,