Index: LMDZ.3.3/branches/rel-LF/libf/phylmd/physiq.F
===================================================================
--- LMDZ.3.3/branches/rel-LF/libf/phylmd/physiq.F	(revision 143)
+++ LMDZ.3.3/branches/rel-LF/libf/phylmd/physiq.F	(revision 152)
@@ -67,16 +67,14 @@
 c Parametres lies au coupleur OASIS:
 #include "oasis.h"
-      INTEGER npas, nexca, itimestep
+      INTEGER npas, nexca
       logical rnpb
       parameter(rnpb=.true.)
 c      PARAMETER (npas=1440)
 c      PARAMETER (nexca=48)
-c      PARAMETER (itimestep=1800)
       EXTERNAL fromcpl, intocpl, inicma
-      REAL cpl_sst(iim,jjmp1), cpl_sic(iim,jjmp1)
-      REAL cpl_alb_sst(iim,jjmp1), cpl_alb_sic(iim,jjmp1)
 c      ocean = type de modele ocean a utiliser: force, slab, couple
       character *6 ocean
       parameter (ocean = 'force ')
+c     parameter (ocean = 'couple')
 c======================================================================
 c ok_ocean indique l'utilisation du modele oceanique "slab ocean",
@@ -101,6 +99,4 @@
 ccc      LOGICAL soil_model
 ccc      PARAMETER (soil_model=.FALSE.)
-      REAL soilcap(klon,nbsrf), soilflux(klon,nbsrf)
-      SAVE soilcap, soilflux
       logical ok_veget
       parameter (ok_veget = .false.)
@@ -161,5 +157,4 @@
       REAL presnivs(klev)
       REAL znivsig(klev)
-      REAL zsurf(nbsrf)
 
       REAL u(klon,klev)
@@ -173,6 +168,4 @@
       SAVE ancien_ok
 
-      REAL d_u_dyn(klon,klev)
-      REAL d_v_dyn(klon,klev)
       REAL d_t_dyn(klon,klev)
       REAL d_q_dyn(klon,klev)
@@ -335,14 +328,6 @@
       REAL pctsrf(klon,nbsrf)
       SAVE pctsrf                 ! sous-fraction du sol
-      REAL lmt_sst(klon)
-      SAVE lmt_sst                ! temperature de la surface ocean
       REAL lmt_bils(klon)
       SAVE lmt_bils               ! bilan de chaleur au sol
-      REAL lmt_alb(klon)
-      SAVE lmt_alb                ! temperature de la surface ocean
-      REAL lmt_rug(klon)
-      SAVE lmt_rug                ! longueur de rugosite
-      REAL alb_eau(klon)
-      SAVE alb_eau                ! albedo sur l'ocean
       REAL albsol(klon)
       SAVE albsol                 ! albedo du sol total
@@ -422,5 +407,4 @@
       REAL cldt(klon),cldq(klon) !nuage total, eau liquide integree
 c
-      REAL zx_alb_lic, zx_alb_oce, zx_alb_ter, zx_alb_sic
       REAL zxtsol(klon), zxqsol(klon), zxsnow(klon)
 c
@@ -429,5 +413,4 @@
 c
       CHARACTER*2 str2
-      CHARACTER*2 iqn
 c
       REAL qcheck
@@ -437,11 +420,9 @@
       REAL za, zb
       REAL zx_t, zx_qs, zdelta, zcor, zfra, zlvdcp, zlsdcp
-      INTEGER i, k, iq, ig, j, nsrf, ll
+      INTEGER i, k, iq, nsrf, ll
       REAL t_coup
       PARAMETER (t_coup=234.0)
 c
       REAL zphi(klon,klev)
-      REAL zx_relief(iim,jjmp1)
-      REAL zx_aire(iim,jjmp1)
 c
 c Variables du changement
@@ -493,30 +474,4 @@
       SAVE ecrit_reg   ! frequence d'ecriture
 c
-      REAL oas_sols(klon), z_sols(iim,jjmp1)
-      SAVE oas_sols
-      REAL oas_nsol(klon), z_nsol(iim,jjmp1)
-      SAVE oas_nsol
-      REAL oas_rain(klon), z_rain(iim,jjmp1)
-      SAVE oas_rain
-      REAL oas_snow(klon), z_snow(iim,jjmp1)
-      SAVE oas_snow
-      REAL oas_evap(klon), z_evap(iim,jjmp1)
-      SAVE oas_evap
-      REAL oas_ruis(klon), z_ruis(iim,jjmp1)
-      SAVE oas_ruis
-      REAL oas_tsol(klon), z_tsol(iim,jjmp1)
-      SAVE oas_tsol
-      REAL oas_fder(klon), z_fder(iim,jjmp1)
-      SAVE oas_fder
-      REAL oas_albe(klon), z_albe(iim,jjmp1)
-      SAVE oas_albe
-      REAL oas_taux(klon), z_taux(iim,jjmp1)
-      SAVE oas_taux
-      REAL oas_tauy(klon), z_tauy(iim,jjmp1)
-      SAVE oas_tauy
-      REAL oas_ruisoce(klon), z_ruisoce(iim,jjmp1)
-      SAVE oas_ruisoce
-      REAL oas_ruisriv(klon), z_ruisriv(iim,jjmp1)
-      SAVE oas_ruisriv
 c
 c
@@ -528,9 +483,6 @@
 c
       REAL tr_seri(klon,klev,nbtr)
-      REAL d_tr(klon,klev,nbtr)
-      REAL source_tr(klon,nbtr)
 
       REAL zx_rh(klon,klev)
-      REAL dtimeday,dtimecri,dtimexp9,fecri_pas,fecri86400,fecritday
 
       INTEGER        length
@@ -546,5 +498,5 @@
       SAVE nid_day, nid_mth, nid_ins
 c
-      INTEGER nhori, nvert,nvertsf
+      INTEGER nhori, nvert
       REAL zsto, zout, zjulian
 
@@ -598,6 +550,6 @@
          CALL phyetat0 ("startphy.nc",dtime,co2_ppm,solaire,
      .       rlat,rlon,pctsrf, ftsol,ftsoil,deltat,fqsol,fsnow,
-     .       falbe, fevap, rain_fall,snow_fall,sollw, solsw,
-     .       radsol,rugmer,agesno,clesphy0,
+     .       falbe, fevap, rain_fall,snow_fall,solsw, sollw,
+     .       fder,radsol,frugs,agesno,clesphy0,
      .       zmea,zstd,zsig,zgam,zthe,zpic,zval,rugoro,tabcntr0,
      .       t_ancien, q_ancien, ancien_ok )
@@ -1525,6 +1477,4 @@
          idayvrai = NINT(xjour)
          PRINT *,' PHYS cond  julien ',julien,idayvrai
-c         CALL condsurf(julien,idayvrai, pctsrf ,
-c     .                  lmt_sst,lmt_alb,lmt_rug,lmt_bils  )
          CALL ozonecm( FLOAT(julien), rlat, paprs, wo)
       ENDIF
@@ -1551,10 +1501,10 @@
 c
       DO i = 1, klon
-        if (.not. ok_veget) then
-          frugs(i,is_ter) = SQRT(frugs(i,is_ter)**2+rugoro(i)**2)
-        endif 
-         frugs(i,is_lic) = rugoro(i)
-         frugs(i,is_oce) = rugmer(i)
-         frugs(i,is_sic) = 0.001
+c       if (.not. ok_veget) then
+c          frugs(i,is_ter) = SQRT(frugs(i,is_ter)**2+rugoro(i)**2)
+c       endif 
+c         frugs(i,is_lic) = rugoro(i)
+c         frugs(i,is_oce) = rugmer(i)
+c         frugs(i,is_sic) = 0.001
          zxrugs(i) = 0.0
       ENDDO
@@ -1579,4 +1529,6 @@
         rmu0 = -999.999
       ENDIF
+
+      fder = 0.
 
       CALL clmain(dtime,itap,pctsrf,
@@ -1887,24 +1839,5 @@
 c
       IF (MOD(itaprad,radpas).EQ.0) THEN
-c      CALL orbite(FLOAT(julien),zlongi,dist)
-c      IF (cycle_diurne) THEN
-c        zdtime=dtime*FLOAT(radpas) ! pas de temps du rayonnement (s)
-c        CALL zenang(zlongi,gmtime,zdtime,rlat,rlon,rmu0,fract)
-c        CALL zenith(zlongi,gmtime,rlat,rlon,rmu0,fract) !va disparaitre
-c        CALL alboc_cd(rmu0,alb_eau)
-c      ELSE
-c        CALL angle(zlongi,rlat,fract,rmu0)
-c        CALL alboc(FLOAT(julien),rlat,alb_eau)
-c      ENDIF
-c      CALL albsno(veget,agesno,alb_neig)
-      DO i = 1, klon
-c         falbe(i,is_oce) = alb_eau(i)
-c         IF (pctsrf(i,is_oce).GT.epsfra .AND. ftsol(i,is_oce).LT.271.35)
-c     .   falbe(i,is_oce) = 0.6 ! pour slab_ocean
-c         zfra = MAX(0.0,MIN(1.0,fsnow(i,is_lic)/(fsnow(i,is_lic)+10.0)))
-c         falbe(i,is_lic) = alb_neig(i)*zfra + 0.6*(1.0-zfra)
-c         zfra = MAX(0.0,MIN(1.0,fsnow(i,is_ter)/(fsnow(i,is_ter)+10.0)))
-c         falbe(i,is_ter) = alb_neig(i)*zfra + lmt_alb(i)*(1.0-zfra)
-c         zfra = MAX(0.0,MIN(1.0,fsnow(i,is_sic)/(fsnow(i,is_sic)+10.0)))
+      DO i = 1, klon
          falbe(i,is_sic) = alb_neig(i)*zfra + 0.6*(1.0-zfra)
          albsol(i) = falbe(i,is_oce) * pctsrf(i,is_oce)
@@ -1913,9 +1846,4 @@
      .             + falbe(i,is_sic) * pctsrf(i,is_sic)
       ENDDO
-c      DO nsrf = 1, nbsrf
-c        DO i = 1, klon
-c           albsol(i) = albsol(i) + falbe(i,nsrf)*pctsrf(i,nsrf)
-c        ENDDO
-c      ENDDO
       CALL radlwsw ! nouveau rayonnement (compatible Arpege-IFS)
      e            (dist, rmu0, fract, co2_ppm, solaire,
@@ -2809,5 +2737,5 @@
      .      rlat, rlon, pctsrf, ftsol, ftsoil, deltat, fqsol, fsnow,
      .      falbe, fevap, rain_fall, snow_fall,
-     .      solsw, sollw,
+     .      solsw, sollw,fder,
      .      radsol,frugs,agesno,
      .      zmea,zstd,zsig,zgam,zthe,zpic,zval,rugoro,